%define _unpackaged_files_terminate_build 0

Name:           libkate
Version:        0.4.1
Release:    2%{?dist}
Summary:        Libraries to handle the Kate bitstream format

License:        BSD
URL:            http://git.xiph.org/?p=users/oggk/kate.git;a=summary
Source0:        http://libkate.googlecode.com/files/libkate-%{version}.tar.gz

BuildRequires: make
BuildRequires:  gcc
BuildRequires:  libogg-devel
BuildRequires:  liboggz
BuildRequires:  libpng-devel
BuildRequires:  bison
BuildRequires:  flex
%ifarch %{valgrind_arches}
BuildRequires:  valgrind
%endif
BuildRequires:  doxygen
 

%description
This is libkate, the reference implementation of a codec for the Kate bitstream
format.
Kate is a karaoke and text codec meant for encapsulation in an Ogg container.
It can carry text, images, and animate them.

Kate is meant to be used for karaoke alongside audio/video streams (typically
Vorbis and Theora), movie subtitles, song lyrics, and anything that needs text
data at arbitrary time intervals.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       libogg-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package utils
Summary:        Encoder/Decoder utilities for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       liboggz

%description utils
The %{name}-utils package contains the katedec/kateenc binaries for %{name}.

%package docs
Summary:        Documentation for %{name}

BuildArch:      noarch

%description docs
The %{name}-docs package contains the docs for %{name}.


%prep
%setup -q

rm tools/kate_parser.{c,h}
rm tools/kate_lexer.c


%build
export PYTHON=:
%configure --disable-static

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build


%install
export PYTHON=:
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

touch -r %{buildroot}%{_includedir}/kate/kate_config.h \
 %{buildroot}%{_includedir}/kate/kate.h

rm -rf %{buildroot}%{_mandir}/man1/KateDJ.1*


%check
make check




%files
%exclude %{_docdir}/libkate/html
%doc %{_docdir}/libkate
%{_libdir}/*.so.*

%files devel
%doc examples/
%{_includedir}/kate/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files utils
%{_bindir}/katalyzer
%{_bindir}/katedec
%{_bindir}/kateenc
%{_mandir}/man1/katalyzer.*
%{_mandir}/man1/katedec.*
%{_mandir}/man1/kateenc.*

%files docs
%doc %{_docdir}/libkate/html


%changelog
* Tue May 07 2024 Fanjun Kong <fanjunkong@tencent.com> - 0.4.1-2
- epol debrand

* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.1-1
- initial build
